%define debug_package %{nil}
%define _legacy_common_support 1

Name:           cube-escape
Version:        0.9
Release:        %mkrel 7
Summary:        Progress over a maze etched on the surface of a cube
License:        GPLv3+
Group:          Games/Puzzles
URL:            https://code.google.com/p/cube-escape/
Source0:        http://cube-escape.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Patch0:         cube-escape-0.9-mga-system-wide-paths.patch
Patch1:         cube-escape-0.9-mga-respect-optflags.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_image)
Requires:       fonts-ttf-liberation

%description
Cube Escape is a game in which you are inside a cube made up of numerous
shells, with a maze etched on the surface of each shell. Escape the cube
by travelling through the mazes, including over cube edges, until you find
an upward exit. When you reach the red exit, you win.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build

%install
# Unbundle Liberation font and remove poor icon replaced by custom one
rm -f data/{LiberationMono-Regular.ttf,icon.png}

install -D -m 0755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{name}/
install -m 0644 data/* %{buildroot}%{_gamesdatadir}/%{name}/
install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Cube Escape
GenericName=3D maze
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF

%files
%doc README COPYING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.9-7.mga9
+ Revision: 1839459
- Mageia 9 Mass Rebuild

* Fri Sep 18 2020 joequant <joequant> 0.9-6.mga8
+ Revision: 1628397
- fix gcc10 build

* Wed Feb 12 2020 umeabot <umeabot> 0.9-5.mga8
+ Revision: 1511683
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.9-4.mga7
+ Revision: 1297346
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.9-3.mga6
+ Revision: 953648
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.9-2.mga6
+ Revision: 874977
- Fix build with new rpm ( empty debuginfo)

* Wed Dec 10 2014 akien <akien> 0.9-1.mga5
+ Revision: 802605
- Version 0.9
- Use system Liberation font and custom icon
- Install data to /usr/share/games
- Add optimization flags

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 748229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-4.mga5
+ Revision: 678612
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 503648
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 348390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 blue_prawn <blue_prawn> 0.8-1.mga3
+ Revision: 288920
- imported package cube-escape

